#include <bits/stdc++.h>

using namespace std;

struct fr
{
public:
    long long a;
    double p;
};
bool se(fr l,fr d)
{
    if(l.p<=d.p) return true;
    return false;
}
int main()
{
    ios::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    int n;
    cin>>n;
    fr x[n];
    for(int i=0;i<n;i++){cin>>x[i].a>>x[i].p;x[i].p/=100;}
    sort(x,x+n,se);
    for(int i=1;i<n;i++) x[i].a+=x[i-1].a;
    double mx=x[0].p*x[n-1].a;
    for(int i=1;i<n;i++)
        mx=max(x[i].p*(x[n-1].a-x[i-1].a),mx);
    cout<<setprecision(4)<<fixed<<mx;
}